
package de.ivu.elect.presentation.entschaedigung.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.entschaedigung.entity.Entschaedigungsart;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(EntschaedigungsartActionMenu.COMPONENT_NAME)
public class EntschaedigungsartActionMenu extends AbstractActionMenuModelBuilder<Entschaedigungsart> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "entschaedigungsartActionMenu";

  @Inject
  private transient EntschaedigungsartEditAction entschaedigungsartEditAction;

  @Inject
  private transient EntschaedigungsartDeleteAction entschaedigungsartDeleteAction;

  public EntschaedigungsartActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<Entschaedigungsart>> getActionEntriesSorted() {
    List<ActionEntry<Entschaedigungsart>> result = new ArrayList<>();

    result.add(entschaedigungsartEditAction);
    result.add(entschaedigungsartDeleteAction);

    return result;
  }
}
